Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 4332)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 4333)
@@ -58,4 +58,5 @@
    USE in_out_manager  ! I/O manager
    USE prtctl          ! Print control
+   USE lib_fortran     ! 
 
 #if defined key_bdy 
@@ -167,6 +168,6 @@
          !
          IF( ln_nicep ) THEN      ! control print at a given point
-            jiindx = 6   ;   jjindx = 47
-            WRITE(numout,*) ' The debugging point is : jiindx : ',jiindx, ' jjindx : ',jjindx
+            jiindx = 177   ;   jjindx = 112
+            IF(lwp) WRITE(numout,*) ' The debugging point is : jiindx : ',jiindx, ' jjindx : ',jjindx
          ENDIF
       ENDIF
@@ -303,5 +304,6 @@
          fhbri  (:,:) = 0._wp   ;   fheat_mec(:,:) = 0._wp   ;   fheat_res(:,:) = 0._wp
          fhmec  (:,:) = 0._wp   ;   
-         fmmec  (:,:) = 0._wp     
+         fmmec  (:,:) = 0._wp
+         fmmflx (:,:) = 0._wp     
          focea2D(:,:) = 0._wp
          fsup2D (:,:) = 0._wp
@@ -328,13 +330,23 @@
                           CALL lim_rst_opn( kt )     ! Open Ice restart file
          !
-         IF( ln_nicep )   CALL lim_prt_state( jiindx, jjindx, 1, ' - Beginning the time step - ' )   ! control print
-         !
-         IF( .NOT. lk_c1d ) THEN                     ! Ice dynamics & transport (except in 1D case)
+         IF( ln_nicep )   CALL lim_prt_state( kt, jiindx, jjindx, 1, ' - Beginning the time step - ' )   ! control print
+         ! ----------------------------------------------
+         ! ice dynamics and transport (except in 1D case)
+         ! ----------------------------------------------
+         IF( .NOT. lk_c1d ) THEN
                           CALL lim_dyn( kt )              ! Ice dynamics    ( rheology/dynamics )
                           CALL lim_trp( kt )              ! Ice transport   ( Advection/diffusion )
                           CALL lim_var_glo2eqv            ! equivalent variables, requested for rafting
-         IF( ln_nicep )   CALL lim_prt_state( jiindx, jjindx,-1, ' - ice dyn & trp - ' )   ! control print
+         IF( ln_nicep )   CALL lim_prt_state( kt, jiindx, jjindx,-1, ' - ice dyn & trp - ' )   ! control print
                           CALL lim_itd_me                 ! Mechanical redistribution ! (ridging/rafting)
                           CALL lim_var_agg( 1 ) 
+#if defined key_bdy
+                          ! bdy ice thermo 
+                          CALL lim_var_glo2eqv            ! equivalent variables
+                          CALL bdy_ice_lim( kt )
+                          CALL lim_itd_me_zapsmall
+                          CALL lim_var_agg(1)
+         IF( ln_nicep )   CALL lim_prt_state( kt, jiindx, jjindx, 1, ' - ice thermo bdy - ' )   ! control print
+#endif
                           CALL lim_update1
          ENDIF
@@ -349,7 +361,14 @@
                           old_oa_i(:,:,:)  = oa_i(:,:,:)
                           old_smv_i(:,:,:) = smv_i (:,:,:)
-         !                                           ! Ice thermodynamics 
+ 
+         ! ----------------------------------------------
+         ! ice thermodynamic
+         ! ----------------------------------------------
                           CALL lim_var_glo2eqv            ! equivalent variables
                           CALL lim_var_agg(1)             ! aggregate ice categories
+                          ! previous lead fraction and ice volume for flux calculations
+                          pfrld(:,:)   = 1._wp - at_i(:,:)
+                          phicif(:,:)  = vt_i(:,:)
+                          !
                           CALL lim_var_bv                 ! bulk brine volume (diag)
                           CALL lim_thd( kt )              ! Ice thermodynamics 
@@ -357,22 +376,16 @@
                           oa_i(:,:,:) = oa_i(:,:,:) + a_i(:,:,:) * zcoef
                           CALL lim_var_glo2eqv            ! this CALL is maybe not necessary (Martin)
-         IF( ln_nicep )   CALL lim_prt_state( jiindx, jjindx, 1, ' - ice thermodyn. - ' )   ! control print
+         IF( ln_nicep )   CALL lim_prt_state( kt, jiindx, jjindx, 1, ' - ice thermodyn. - ' )   ! control print
                           CALL lim_itd_th( kt )           !  Remap ice categories, lateral accretion  !
-         !
-         !                                           ! Global variables update
                           CALL lim_var_agg( 1 )           ! requested by limupdate
-                          CALL lim_update2                 ! Global variables update
-#if defined key_bdy
-                          CALL lim_var_glo2eqv            !
-                          CALL bdy_ice_lim( kt )          ! clem modif: bdy ice
-                          CALL bdy_ice_lim_dyn( 1 )       !?? repeated from limrhg.F90
-#endif
+                          CALL lim_update2                ! Global variables update
+
                           CALL lim_var_glo2eqv            ! equivalent variables (outputs)
                           CALL lim_var_agg(2)             ! aggregate ice thickness categories
-         IF( ln_nicep )   CALL lim_prt_state( jiindx, jjindx, 2, ' - Final state - ' )   ! control print
+         IF( ln_nicep )   CALL lim_prt_state( kt, jiindx, jjindx, 2, ' - Final state - ' )   ! control print
          !
                           CALL lim_sbc_flx( kt )     ! Update surface ocean mass, heat and salt fluxes
          !
-         IF( ln_nicep )   CALL lim_prt_state( jiindx, jjindx, 3, ' - Final state lim_sbc - ' )   ! control print
+         IF( ln_nicep )   CALL lim_prt_state( kt, jiindx, jjindx, 3, ' - Final state lim_sbc - ' )   ! control print
          !
          !                                           ! Diagnostics and outputs 
@@ -387,5 +400,5 @@
                           CALL lim_var_glo2eqv            ! ???
          !
-         IF( ln_nicep )   CALL lim_ctl               ! alerts in case of model crash
+         IF( ln_nicep )   CALL lim_ctl( kt )              ! alerts in case of model crash
          !
       ENDIF                                    ! End sea-ice time step only
@@ -414,5 +427,5 @@
 
 
-   SUBROUTINE lim_ctl
+   SUBROUTINE lim_ctl( kt )
       !!-----------------------------------------------------------------------
       !!                   ***  ROUTINE lim_ctl *** 
@@ -420,4 +433,5 @@
       !! ** Purpose :   Alerts in case of model crash
       !!-------------------------------------------------------------------
+      INTEGER, INTENT(in) ::   kt      ! ocean time step
       INTEGER  ::   ji, jj, jk,  jl   ! dummy loop indices
       INTEGER  ::   inb_altests       ! number of alert tests (max 20)
@@ -439,11 +453,11 @@
             DO ji = 1, jpi
                IF(  v_i(ji,jj,jl) /= 0._wp   .AND.   a_i(ji,jj,jl) == 0._wp   ) THEN
-                  WRITE(numout,*) ' ALERTE 2 :   Incompatible volume and concentration '
-                  WRITE(numout,*) ' at_i     ', at_i(ji,jj)
-                  WRITE(numout,*) ' Point - category', ji, jj, jl
-                  WRITE(numout,*) ' a_i *** a_i_old ', a_i      (ji,jj,jl), old_a_i  (ji,jj,jl)
-                  WRITE(numout,*) ' v_i *** v_i_old ', v_i      (ji,jj,jl), old_v_i  (ji,jj,jl)
-                  WRITE(numout,*) ' d_a_i_thd/trp   ', d_a_i_thd(ji,jj,jl), d_a_i_trp(ji,jj,jl)
-                  WRITE(numout,*) ' d_v_i_thd/trp   ', d_v_i_thd(ji,jj,jl), d_v_i_trp(ji,jj,jl)
+                  !WRITE(numout,*) ' ALERTE 2 :   Incompatible volume and concentration '
+                  !WRITE(numout,*) ' at_i     ', at_i(ji,jj)
+                  !WRITE(numout,*) ' Point - category', ji, jj, jl
+                  !WRITE(numout,*) ' a_i *** a_i_old ', a_i      (ji,jj,jl), old_a_i  (ji,jj,jl)
+                  !WRITE(numout,*) ' v_i *** v_i_old ', v_i      (ji,jj,jl), old_v_i  (ji,jj,jl)
+                  !WRITE(numout,*) ' d_a_i_thd/trp   ', d_a_i_thd(ji,jj,jl), d_a_i_trp(ji,jj,jl)
+                  !WRITE(numout,*) ' d_v_i_thd/trp   ', d_v_i_thd(ji,jj,jl), d_v_i_trp(ji,jj,jl)
                   inb_alp(ialert_id) = inb_alp(ialert_id) + 1
                ENDIF
@@ -459,5 +473,5 @@
          DO ji = 1, jpi
             IF(   ht_i(ji,jj,jl)  >  50._wp   ) THEN
-               CALL lim_prt_state( ji, jj, 2, ' ALERTE 3 :   Very thick ice ' )
+               !CALL lim_prt_state( kt, ji, jj, 2, ' ALERTE 3 :   Very thick ice ' )
                inb_alp(ialert_id) = inb_alp(ialert_id) + 1
             ENDIF
@@ -470,17 +484,17 @@
       DO jj = 1, jpj
          DO ji = 1, jpi
-            IF(   MAX( ABS( u_ice(ji,jj) ), ABS( v_ice(ji,jj) ) ) > 0.5  .AND.  &
+            IF(   MAX( ABS( u_ice(ji,jj) ), ABS( v_ice(ji,jj) ) ) > 1.5  .AND.  &
                &  at_i(ji,jj) > 0._wp   ) THEN
-               CALL lim_prt_state( ji, jj, 1, ' ALERTE 4 :   Very fast ice ' )
-               WRITE(numout,*) ' ice strength             : ', strength(ji,jj)
-               WRITE(numout,*) ' oceanic stress utau      : ', utau(ji,jj) 
-               WRITE(numout,*) ' oceanic stress vtau      : ', vtau(ji,jj)
-               WRITE(numout,*) ' sea-ice stress utau_ice  : ', utau_ice(ji,jj) 
-               WRITE(numout,*) ' sea-ice stress vtau_ice  : ', vtau_ice(ji,jj)
-               WRITE(numout,*) ' oceanic speed u          : ', u_oce(ji,jj)
-               WRITE(numout,*) ' oceanic speed v          : ', v_oce(ji,jj)
-               WRITE(numout,*) ' sst                      : ', sst_m(ji,jj)
-               WRITE(numout,*) ' sss                      : ', sss_m(ji,jj)
-               WRITE(numout,*) 
+               !CALL lim_prt_state( kt, ji, jj, 1, ' ALERTE 4 :   Very fast ice ' )
+               !WRITE(numout,*) ' ice strength             : ', strength(ji,jj)
+               !WRITE(numout,*) ' oceanic stress utau      : ', utau(ji,jj) 
+               !WRITE(numout,*) ' oceanic stress vtau      : ', vtau(ji,jj)
+               !WRITE(numout,*) ' sea-ice stress utau_ice  : ', utau_ice(ji,jj) 
+               !WRITE(numout,*) ' sea-ice stress vtau_ice  : ', vtau_ice(ji,jj)
+               !WRITE(numout,*) ' oceanic speed u          : ', u_oce(ji,jj)
+               !WRITE(numout,*) ' oceanic speed v          : ', v_oce(ji,jj)
+               !WRITE(numout,*) ' sst                      : ', sst_m(ji,jj)
+               !WRITE(numout,*) ' sss                      : ', sss_m(ji,jj)
+               !WRITE(numout,*) 
                inb_alp(ialert_id) = inb_alp(ialert_id) + 1
             ENDIF
@@ -494,13 +508,13 @@
          DO ji = 1, jpi
             IF(   tms(ji,jj) <= 0._wp   .AND.   at_i(ji,jj) > 0._wp   ) THEN 
-               CALL lim_prt_state( ji, jj, 1, ' ALERTE 6 :   Ice on continents ' )
-               WRITE(numout,*) ' masks s, u, v        : ', tms(ji,jj), tmu(ji,jj), tmv(ji,jj) 
-               WRITE(numout,*) ' sst                  : ', sst_m(ji,jj)
-               WRITE(numout,*) ' sss                  : ', sss_m(ji,jj)
-               WRITE(numout,*) ' at_i(ji,jj)          : ', at_i(ji,jj)
-               WRITE(numout,*) ' v_ice(ji,jj)         : ', v_ice(ji,jj)
-               WRITE(numout,*) ' v_ice(ji,jj-1)       : ', v_ice(ji,jj-1)
-               WRITE(numout,*) ' u_ice(ji-1,jj)       : ', u_ice(ji-1,jj)
-               WRITE(numout,*) ' u_ice(ji,jj)         : ', v_ice(ji,jj)
+               !CALL lim_prt_state( kt, ji, jj, 1, ' ALERTE 6 :   Ice on continents ' )
+               !WRITE(numout,*) ' masks s, u, v        : ', tms(ji,jj), tmu(ji,jj), tmv(ji,jj) 
+               !WRITE(numout,*) ' sst                  : ', sst_m(ji,jj)
+               !WRITE(numout,*) ' sss                  : ', sss_m(ji,jj)
+               !WRITE(numout,*) ' at_i(ji,jj)          : ', at_i(ji,jj)
+               !WRITE(numout,*) ' v_ice(ji,jj)         : ', v_ice(ji,jj)
+               !WRITE(numout,*) ' v_ice(ji,jj-1)       : ', v_ice(ji,jj-1)
+               !WRITE(numout,*) ' u_ice(ji-1,jj)       : ', u_ice(ji-1,jj)
+               !WRITE(numout,*) ' u_ice(ji,jj)         : ', v_ice(ji,jj)
                !
                inb_alp(ialert_id) = inb_alp(ialert_id) + 1
@@ -516,9 +530,6 @@
          DO jj = 1, jpj
             DO ji = 1, jpi
-!!gm  test twice sm_i ...  ????  bug?
-               IF( ( ( ABS( sm_i(ji,jj,jl) ) < 0.5 )   .OR.  &
-                     ( ABS( sm_i(ji,jj,jl) ) < 0.5 ) ) .AND. &
-                             ( a_i(ji,jj,jl) > 0._wp ) ) THEN
-!                 CALL lim_prt_state(ji,jj,1, ' ALERTE 7 :   Very fresh ice ' )
+               IF( sm_i(ji,jj,jl) < 0.1 .AND. a_i(ji,jj,jl) > 0._wp ) THEN
+!                 CALL lim_prt_state(kt,ji,jj,1, ' ALERTE 7 :   Very fresh ice ' )
 !                 WRITE(numout,*) ' sst                  : ', sst_m(ji,jj)
 !                 WRITE(numout,*) ' sss                  : ', sss_m(ji,jj)
@@ -541,5 +552,5 @@
                       ( ABS( o_i(ji,jj,jl) ) < 0._wp) ) .AND. &
                              ( a_i(ji,jj,jl) > 0._wp ) ) THEN
-                  CALL lim_prt_state( ji, jj, 1, ' ALERTE 9 :   Wrong ice age ')
+                  !CALL lim_prt_state( kt, ji, jj, 1, ' ALERTE 9 :   Wrong ice age ')
                   inb_alp(ialert_id) = inb_alp(ialert_id) + 1
                ENDIF
@@ -553,14 +564,14 @@
       DO jj = 1, jpj
          DO ji = 1, jpi
-            IF( ABS( sfx (ji,jj) ) .GT. 1.0e-2 ) THEN
-               CALL lim_prt_state( ji, jj, 3, ' ALERTE 5 :   High salt flux ' )
-               DO jl = 1, jpl
-                  WRITE(numout,*) ' Category no: ', jl
-                  WRITE(numout,*) ' a_i        : ', a_i      (ji,jj,jl) , ' old_a_i    : ', old_a_i  (ji,jj,jl)   
-                  WRITE(numout,*) ' d_a_i_trp  : ', d_a_i_trp(ji,jj,jl) , ' d_a_i_thd  : ', d_a_i_thd(ji,jj,jl) 
-                  WRITE(numout,*) ' v_i        : ', v_i      (ji,jj,jl) , ' old_v_i    : ', old_v_i  (ji,jj,jl)   
-                  WRITE(numout,*) ' d_v_i_trp  : ', d_v_i_trp(ji,jj,jl) , ' d_v_i_thd  : ', d_v_i_thd(ji,jj,jl) 
-                  WRITE(numout,*) ' '
-               END DO
+            IF( ABS( sfx (ji,jj) ) .GT. 1.0e-2 ) THEN  ! = 1 psu/day for 1m ocean depth
+               !CALL lim_prt_state( kt, ji, jj, 3, ' ALERTE 5 :   High salt flux ' )
+               !DO jl = 1, jpl
+                  !WRITE(numout,*) ' Category no: ', jl
+                  !WRITE(numout,*) ' a_i        : ', a_i      (ji,jj,jl) , ' old_a_i    : ', old_a_i  (ji,jj,jl)   
+                  !WRITE(numout,*) ' d_a_i_trp  : ', d_a_i_trp(ji,jj,jl) , ' d_a_i_thd  : ', d_a_i_thd(ji,jj,jl) 
+                  !WRITE(numout,*) ' v_i        : ', v_i      (ji,jj,jl) , ' old_v_i    : ', old_v_i  (ji,jj,jl)   
+                  !WRITE(numout,*) ' d_v_i_trp  : ', d_v_i_trp(ji,jj,jl) , ' d_v_i_thd  : ', d_v_i_thd(ji,jj,jl) 
+                  !WRITE(numout,*) ' '
+               !END DO
                inb_alp(ialert_id) = inb_alp(ialert_id) + 1
             ENDIF
@@ -573,26 +584,26 @@
       DO jj = 1, jpj
          DO ji = 1, jpi
-            IF(   ABS( qns(ji,jj) ) > 1500._wp  .AND.  at_i(ji,jj) > 0._wp  )  THEN
+            IF( ABS( qns(ji,jj) ) > 1500._wp .AND. at_i(ji,jj) > 0._wp ) THEN
                !
-               WRITE(numout,*) ' ALERTE 8 :   Very high non-solar heat flux'
-               WRITE(numout,*) ' ji, jj    : ', ji, jj
-               WRITE(numout,*) ' qns       : ', qns(ji,jj)
-               WRITE(numout,*) ' sst       : ', sst_m(ji,jj)
-               WRITE(numout,*) ' sss       : ', sss_m(ji,jj)
-               WRITE(numout,*) ' qcmif     : ', qcmif(ji,jj)
-               WRITE(numout,*) ' qldif     : ', qldif(ji,jj)
-               WRITE(numout,*) ' qcmif     : ', qcmif(ji,jj) / rdt_ice
-               WRITE(numout,*) ' qldif     : ', qldif(ji,jj) / rdt_ice
-               WRITE(numout,*) ' qfvbq     : ', qfvbq(ji,jj)
-               WRITE(numout,*) ' qdtcn     : ', qdtcn(ji,jj)
-               WRITE(numout,*) ' qfvbq / dt: ', qfvbq(ji,jj) / rdt_ice
-               WRITE(numout,*) ' qdtcn / dt: ', qdtcn(ji,jj) / rdt_ice
-               WRITE(numout,*) ' fdtcn     : ', fdtcn(ji,jj) 
-               WRITE(numout,*) ' fhmec     : ', fhmec(ji,jj) 
-               WRITE(numout,*) ' fheat_mec : ', fheat_mec(ji,jj) 
-               WRITE(numout,*) ' fheat_res : ', fheat_res(ji,jj) 
-               WRITE(numout,*) ' fhbri     : ', fhbri(ji,jj) 
+               !WRITE(numout,*) ' ALERTE 8 :   Very high non-solar heat flux'
+               !WRITE(numout,*) ' ji, jj    : ', ji, jj
+               !WRITE(numout,*) ' qns       : ', qns(ji,jj)
+               !WRITE(numout,*) ' sst       : ', sst_m(ji,jj)
+               !WRITE(numout,*) ' sss       : ', sss_m(ji,jj)
+               !WRITE(numout,*) ' qcmif     : ', qcmif(ji,jj)
+               !WRITE(numout,*) ' qldif     : ', qldif(ji,jj)
+               !WRITE(numout,*) ' qcmif     : ', qcmif(ji,jj) / rdt_ice
+               !WRITE(numout,*) ' qldif     : ', qldif(ji,jj) / rdt_ice
+               !WRITE(numout,*) ' qfvbq     : ', qfvbq(ji,jj)
+               !WRITE(numout,*) ' qdtcn     : ', qdtcn(ji,jj)
+               !WRITE(numout,*) ' qfvbq / dt: ', qfvbq(ji,jj) / rdt_ice
+               !WRITE(numout,*) ' qdtcn / dt: ', qdtcn(ji,jj) / rdt_ice
+               !WRITE(numout,*) ' fdtcn     : ', fdtcn(ji,jj) 
+               !WRITE(numout,*) ' fhmec     : ', fhmec(ji,jj) 
+               !WRITE(numout,*) ' fheat_mec : ', fheat_mec(ji,jj) 
+               !WRITE(numout,*) ' fheat_res : ', fheat_res(ji,jj) 
+               !WRITE(numout,*) ' fhbri     : ', fhbri(ji,jj) 
                !
-               CALL lim_prt_state( ji, jj, 2, '   ')
+               !CALL lim_prt_state( kt, ji, jj, 2, '   ')
                inb_alp(ialert_id) = inb_alp(ialert_id) + 1
                !
@@ -611,12 +622,12 @@
                DO ji = 1, jpi
                   ztmelts    =  -tmut * s_i(ji,jj,jk,jl) + rtt
-                  IF( t_i(ji,jj,jk,jl) >= ztmelts  .AND.  v_i(ji,jj,jl) > 1.e-6   &
+                  IF( t_i(ji,jj,jk,jl) >= ztmelts  .AND.  v_i(ji,jj,jl) > 1.e-10   &
                      &                             .AND.  a_i(ji,jj,jl) > 0._wp   ) THEN
-                     WRITE(numout,*) ' ALERTE 10 :   Very warm ice'
-                     WRITE(numout,*) ' ji, jj, jk, jl : ', ji, jj, jk, jl
-                     WRITE(numout,*) ' t_i : ', t_i(ji,jj,jk,jl)
-                     WRITE(numout,*) ' e_i : ', e_i(ji,jj,jk,jl)
-                     WRITE(numout,*) ' s_i : ', s_i(ji,jj,jk,jl)
-                     WRITE(numout,*) ' ztmelts : ', ztmelts
+                     !WRITE(numout,*) ' ALERTE 10 :   Very warm ice'
+                     !WRITE(numout,*) ' ji, jj, jk, jl : ', ji, jj, jk, jl
+                     !WRITE(numout,*) ' t_i : ', t_i(ji,jj,jk,jl)
+                     !WRITE(numout,*) ' e_i : ', e_i(ji,jj,jk,jl)
+                     !WRITE(numout,*) ' s_i : ', s_i(ji,jj,jk,jl)
+                     !WRITE(numout,*) ' ztmelts : ', ztmelts
                      inb_alp(ialert_id) = inb_alp(ialert_id) + 1
                   ENDIF
@@ -626,16 +637,26 @@
       END DO
 
-      ialert_id = 1                                 ! reference number of this alert
-      cl_alname(ialert_id) = ' NO alerte 1      '   ! name of the alert
-      WRITE(numout,*)
-      WRITE(numout,*) ' All alerts at the end of ice model '
-      DO ialert_id = 1, inb_altests
-         WRITE(numout,*) ialert_id, cl_alname(ialert_id)//' : ', inb_alp(ialert_id), ' times ! '
-      END DO
-      !
+      ! sum of the alerts on all processors
+      IF( lk_mpp ) THEN
+         DO ialert_id = 1, inb_altests
+            CALL mpp_sum(inb_alp(ialert_id))
+         END DO
+      ENDIF
+
+      ! print alerts
+      IF( lwp ) THEN
+         ialert_id = 1                                 ! reference number of this alert
+         cl_alname(ialert_id) = ' NO alerte 1      '   ! name of the alert
+         WRITE(numout,*) ' time step ',kt
+         WRITE(numout,*) ' All alerts at the end of ice model '
+         DO ialert_id = 1, inb_altests
+            WRITE(numout,*) ialert_id, cl_alname(ialert_id)//' : ', inb_alp(ialert_id), ' times ! '
+         END DO
+      ENDIF
+     !
    END SUBROUTINE lim_ctl
  
    
-   SUBROUTINE lim_prt_state( ki, kj, kn, cd1 )
+   SUBROUTINE lim_prt_state( kt, ki, kj, kn, cd1 )
       !!-----------------------------------------------------------------------
       !!                   ***  ROUTINE lim_prt_state *** 
